program tstBrowser;

{$APPTYPE CONSOLE}

uses
  windows, SysUtils, shellapi;

type
  TBrowserInformation = record
    Name     : String;
    Path     : String;
  end;

var browser: TBrowserInformation;

function GetDefaultBrowser : TBrowserInformation;
var
  tmp : PChar;
  res : PChar;

begin
  tmp := StrAlloc(255);
  res := StrAlloc(255);

  try
    GetTempPath(255,tmp);
    FileCreate(tmp+'htmpl.htm');
    FindExecutable('htmpl.htm',tmp,Res);
    Result.Name := ExtractFileName(res);
    Result.Path := ExtractFilePath(res);
    SysUtils.DeleteFile(tmp+'htmpl.htm');
  finally
    StrDispose(tmp);
    StrDispose(res);
  end;
end;


begin
    browser := GetDefaultBrowser;
    writeln (browser.name);
    writeln (browser.path);
    readln;

end.
