{--------------------------------------------------------}
{                                                        }
{    Programa de acesso a redes sociais                  }
{                                                        }
{    Mdulo de informaes sobre um usurio              }
{                                                        }
{    Autor: Jos Antonio Borges                          }
{                                                        }
{    Em setembro/2010                                    }
{                                                        }
{--------------------------------------------------------}

unit twinfusu;

interface
uses sysutils, dvcrt, dvwin, dvform, twvars, twmsg, twoauth, twapi, twExibe, twUtil, twjson;

procedure informacoesUsuario;

implementation

procedure informacoesUsuario;
var c: char;
    apelido, numero: string;
    pusr: PUser;

label desistiu;
begin
    mensagem ('TWAPOUID', 0);     {'Opo?  A-apelido  I-identificao: '}
    c := sintReadkey;
    writeln (c);
    limpaBufTec;

    if upcase(c) = 'A' then
        begin
            mensagem ('TWAPEBUS', 0);     {'Informe o apelido buscado: '}
            apelido := '';
            c := sintEdita (apelido, wherex, wherey, 40, true);
            if c = ESC then exit;
            if apelido = '' then apelido := username;
            writeln (apelido);
            pusr := getTwitterUserInfo ('/1.1/users/show.json?screen_name=' + urlEncode2(apelido));
        end
    else
    if upcase(c) = 'I' then
        begin
            mensagem ('TWIDBUS', 0);     {'Informe o nmero de identificao buscado: '}
            sintReadln (numero);
            if numero = '' then goto desistiu;
            pusr := getTwitterUserInfo ('/1.1/users/show.json?id=' + numero);
        end
    else
        goto desistiu;

    if pusr <> NIL then
        begin
            folhearInfoUser (pusr);
            dispose (pusr);
        end;
    exit;

desistiu:
   mensagem ('TWDESIST', 1);   {'Desistiu'}
end;

end.



